org.keycloak.storage.ldap.idm.query.internal

## Class NamedParameterCondition

- java.lang.Object
- - org.keycloak.storage.ldap.idm.query.internal.NamedParameterCondition

- All Implemented Interfaces:
    Condition
  Direct Known Subclasses:
    EqualCondition

      public abstract class NamedParameterCondition
      extends Object
      implements Condition

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamedParameterCondition(String parameterName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getParameterName()`
    `boolean` | `isBinary()`
    `void` | `setBinary(boolean binary)`
    `void` | `setParameterName(String parameterName)`
    `void` | `updateParameterName(String modelParamName, String ldapParamName)` Will change the parameter name if it is "modelParamName" to "ldapParamName" .

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.storage.ldap.idm.query.Condition

      `applyCondition`

- - ### Constructor Detail

    - #### NamedParameterCondition

          public NamedParameterCondition(String parameterName)

  - ### Method Detail

    - #### getParameterName

          public String getParameterName()

      Specified by:
        `getParameterName` in interface `Condition`

    - #### setParameterName

          public void setParameterName(String parameterName)

      Specified by:
        `setParameterName` in interface `Condition`

    - #### updateParameterName

          public void updateParameterName(String modelParamName,
                                          String ldapParamName)

      Description copied from interface: `Condition`
      Will change the parameter name if it is "modelParamName" to "ldapParamName" . Implementation can apply this to subconditions as well. It is used to update LDAP queries, which were created with model parameter name ( for example "firstName" ) and rewrite them to use real LDAP mapped attribute (for example "givenName" )
      Specified by:
        `updateParameterName` in interface `Condition`

    - #### setBinary

          public void setBinary(boolean binary)

      Specified by:
        `setBinary` in interface `Condition`

    - #### isBinary

          public boolean isBinary()

      Specified by:
        `isBinary` in interface `Condition`

Copyright © 2020 JBoss by Red Hat. All rights reserved.